@tool
extends EditorPlugin

const config_root_path := 'res://.tbl'

func _enter_tree() -> void:
	_setup_panel(preload('editor/config-importer.tscn'))

func _setup_panel(prefab:PackedScene):
	var panel := prefab.instantiate()
	panel.set('path', config_root_path)
	add_control_to_dock(EditorPlugin.DOCK_SLOT_LEFT_BR, panel)
	tree_exiting.connect(func():
		remove_control_from_docks(panel)
		panel.queue_free())
